[
    {
        "quality": 1,
        "coinNum": 10,
        "blueprtNum": 3,
        "targetQuality": 2
    },
    {
        "quality": 2,
        "coinNum": 20,
        "blueprtNum": 3,
        "targetQuality": 3
    },
    {
        "quality": 3,
        "coinNum": 30,
        "blueprtNum": 3,
        "targetQuality": 4
    }
]